Posted in : Citrix, Microsoft, Virtual Apps and Desktops By Adam Clark Translate with Google ⟶

4 years ago

n4emv4ar-dotnet-logo1-300x229-s-1
För inte så länge sedan kom en ny version av .NET som ersätter nuvarande versioner av .NET 4.6 och .NET 4.5 (närmare bestämt 4.6.1 och 4.5.2). Jag skulle vilja varna alla som driftar Citrix-miljöer från att installera denna nya version av .NET på era StoreFront-servrar som kör Windows Server 2008R2. De versioner av StoreFront som är drabbade är 3.0 eller högre, det vill säga 3.0, 3.5, 3.6 eller 3.7. Märk väl att denna varning ej gäller för Windows Server 2012(R2) eller Windows Server 2016.
Citrix har gått ut med en så kallad Fast Publish-notis som säger att om man installerar den senaste versionen av .NET (4.6.2) på sina StoreFront-servrar så slutar autentiseringen att fungera i både webbgränssnitt och legacy services-sidor (som t.ex. används av Legacy PNA) helt att fungera. Dessvärre finns det i dagsläget ingen lösning utan rekommendationen från Citrix sida är att man installerar de ”senaste” äldre versionerna av .NET – 4.6.1 och/eller 4.5.2.
Min rekommendation till er är att hålla ett extra öga på WSUS och Windows Update för att se till att några uppdateringar inte trycks ut den vägen. Jag har inte sett denna uppdatering tryckas ut den vägen ännu, utan det är manuell nedladdning som gäller, men det bör inte vara långt kvar då versionen som sådan ser ut att fungera bra generellt sett.
tl;dr Installera inte .NET 4.6.2 på en StoreFront-server som kör Windows Server 2008R2!
Det här inlägget blev inte så tekniskt utan snarare ett Public Service Announcement, AKA PSA! Hoppas att det hjälper er att undvika onödiga driftstopp!
Källor:
https://blogs.msdn.microsoft.com/dotnet/2016/08/02/announcing-net-framework-4-6-2/
http://support.citrix.com/article/CTX216204

Tags : Citrix; XenApp; XenDesktop, storefront

Personlig rådgivning

Vi erbjuder personlig rådgivning med författaren för 1400 SEK per timme. Anmäl ditt intresse i här så återkommer vi så snart vi kan.

Add comment

Your comment will be revised by the site if needed.